@echo off
cls
echo COPYDRVS Version 1.0
echo Automatically installs UltraSound AIL drivers into most AIL/32 games.
echo.

if [%1] == [] goto usage
if not [%2] == [] goto usage

if exist %1\a32mt32.dll goto gooddir
if exist %1\a32sbfm.dll goto gooddir
if exist %1\a32sbdg.dll goto gooddir
if exist %1\gamefm.dll goto gooddir
if exist %1\gamedg.dll goto gooddir
echo Can not find and suitable .DLL drivers to replace.
echo.
goto usage

:gooddir
if exist %1\dllback\a32mt32.dll goto skipback
if exist %1\dllback\a32sbfm.dll goto skipback
if exist %1\dllback\a32sbdg.dll goto skipback
if exist %1\dllback\gamefm.dll goto skipback
if exist %1\dllback\gamedg.dll goto skipback

echo Backing up existing drivers.
md %1\dllback
copy %1\*.dll %1\dllback\*.dll > nul

:skipback
echo Copying in new drivers and LOADPATS.
if exist %1\a32mt32.dll copy gusmid32.dll %1\a32mt32.dll > nul
if exist %1\a32sbfm.dll copy gusmid32.dll %1\a32sbfm.dll > nul
if exist %1\a32sbdg.dll copy gusdig32.dll %1\a32sbdg.dll > nul
if exist %1\gamefm.dll copy gusmid32.dll %1\gamefm.dll > nul
if exist %1\gamedg.dll copy gusdig32.dll %1\gamedg.dll > nul
copy loadpats.exe %1\loadpats.exe > nul
copy patches.ini %1\patches.ini > nul

echo Running LOADPATS:
loadpats
echo.
echo Now configure your game for one following combinations:
echo.
echo Sound Blaster for digital, General MIDI for music.
echo Sound Blaster for digital, MT-32 for music.
echo Sound Blaster for both digital and/or music.
echo.
echo Remember to run LOADPATS first before running your game.
goto end

:usage
echo Usage:
echo.
echo  COPYDRVS dir_name [ENTER]
echo.
echo  where dir_name is the directory where the games sound drivers are
echo  installed.
echo.
echo  e.g.  COPYDRVS C:\INDYCAR [ENTER]
echo    or  COPYDRVS C:\SC2000\SOUND [ENTER]
echo    or  COPYDRVS C:\SYND\DATA [ENTER]

:end